Webpack 4.0.0 beta.0 发布,不再支持 Node.js 4 - 开源中国社区
Float_left Icon_close
Webpack 4.0.0 beta.0 发布,不再支持 Node.js 4
王练 2018年01月25日

Webpack 4.0.0 beta.0 发布,不再支持 Node.js 4

王练 王练 发布于2018年01月25日 收藏 0

阿里云高性能云服务器,2折起! >>> >>>  

Webpack 是一个现代 JavaScript 应用程序的模块打包器 (module bundler) 。当 Webpack 处理应用程序时,它会递归地构建一个依赖关系图,其中包含应用程序需要的每个模块,然后将所有这些模块打包成少量的 bundle - 通常只有一个,由浏览器加载。

Webpack 4.0.0 已发布首个 beta 测试版本,带来了大量新特性和更改,期待正式版的带来。

重要更改包括:

  • 环境

    • 不再支持 Node.js 4。源代码被升级到更高的 ecmascript 版本。

  • 使用

    • 现在必须在两种模式之间选择(mode 或 --mode):生产或开发

  • 语法

    • import() 总是返回一个 namespace 对象。 CommonJS 模块被封装在默认导出中

  • 配置

    • NoEmitOnErrorsPlugin -> optimization.noEmitOnErrors (在生产模式下默认开启)

    • ModuleConcatenationPlugin -> optimization.concatenateModules (在生产模式下默认开启)

    • NamedModulesPlugin -> optimization.namedModules (在开发模式下默认开启)

    • 不再需要以下插件,并替换:

    • CommonsChunkPlugin 被移除 -> optimization.splitChunks

  • JSON

    • webpack 现在能原生处理 JSON

    • 允许通过 ESM 语法导入 JSON

  • 优化

    • 支持 ES15

    • 升级 uglifyjs-webpack-plugin 至 v1 版本

完整更新内容和下载地址请查阅发行列表

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Webpack 4.0.0 beta.0 发布,不再支持 Node.js 4
分享
评论(3)
最新评论
0
ES15 好像是个照相机……
0
不再支持 Node.js 4。源代码被升级到更高的 ecmascript 版本。

0
webpack 与 parcel 哪家强?或者哪个更有前景?
顶部